# kmp_method

## 概要
KMP法で文字列を探索することのできるdartライブラリです。現状、一致位置を出力することのみができます。

## 使用方法
1. 使用したいプロジェクトにインストールします。インストール方法はインストールの項目を参照してください
1. ドキュメントを参考にし使用します。

## 使用例
```dart
  import 'package:kmp_method/kmp_method.dart'

  void main(){
    var sourceText = "The quick brown fox jumps over the lazy dog";
    var searchText = "fox";
    
    var kmp = KmpMethod(sourceText, searchText);
    var matched_point = kmp.GetMatchedPoint();

    print('MatchedPoint:$matched_point\n');
  }

  /*output
  /*MatchedPoint:[16]
```
